All pastes #337188 Raw Edit

Unnamed

public text v1 · immutable
·published 2007-02-02 16:19 UTC
rendered paste body
scott@DevNull [~] # php --rc DateTime
Class [ <internal:date> class DateTime ] {

  - Constants [11] {
    Constant [ string ATOM ] { Y-m-d\TH:i:sP }
    Constant [ string COOKIE ] { l, d-M-y H:i:s T }
    Constant [ string ISO8601 ] { Y-m-d\TH:i:sO }
    Constant [ string RFC822 ] { D, d M y H:i:s O }
    Constant [ string RFC850 ] { l, d-M-y H:i:s T }
    Constant [ string RFC1036 ] { D, d M y H:i:s O }
    Constant [ string RFC1123 ] { D, d M Y H:i:s O }
    Constant [ string RFC2822 ] { D, d M Y H:i:s O }
    Constant [ string RFC3339 ] { Y-m-d\TH:i:sP }
    Constant [ string RSS ] { D, d M Y H:i:s O }
    Constant [ string W3C ] { Y-m-d\TH:i:sP }
  }

  - Static properties [0] {
  }

  - Static methods [0] {
  }

  - Properties [0] {
  }

  - Methods [9] {
    Method [ <internal, ctor> public method __construct ] {
    }

    Method [ <internal> public method format ] {
    }

    Method [ <internal> public method modify ] {
    }

    Method [ <internal> public method getTimezone ] {
    }

    Method [ <internal> public method setTimezone ] {
    }

    Method [ <internal> public method getOffset ] {
    }

    Method [ <internal> public method setTime ] {
    }

    Method [ <internal> public method setDate ] {
    }

    Method [ <internal> public method setISODate ] {
    }
  }
}

scott@DevNull [~] # php --rc DateTimeZone
Class [ <internal:date> class DateTimeZone ] {

  - Constants [0] {
  }

  - Static properties [0] {
  }

  - Static methods [2] {
    Method [ <internal> static public method listAbbreviations ] {
    }

    Method [ <internal> static public method listIdentifiers ] {
    }
  }

  - Properties [0] {
  }

  - Methods [4] {
    Method [ <internal, ctor> public method __construct ] {
    }

    Method [ <internal> public method getName ] {
    }

    Method [ <internal> public method getOffset ] {
    }

    Method [ <internal> public method getTransitions ] {
    }
  }
}